%if 0%{?rhel} >= 7 || 0%{?fedora} >= 22
%bcond_without python3
%else
%bcond_with python3
%endif

%if %{undefined py2_build}
%global py2_build CFLAGS="%{optflags}" %{__python} setup.py build '--executable=%{__python} -s'
%endif
%if %{undefined py2_install}
%global py2_install CFLAGS="%{optflags}"  %{__python} setup.py install -O1 --skip-build --root %{buildroot}
%endif

%if %{with python3}
%if %{undefined py3_build}
%global py3_build CFLAGS="%{optflags}" %{__python3} setup.py build '--executable=%{__python3} -s'
%endif
%if %{undefined py3_install}
%global py3_install CFLAGS="%{optflags}"  %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%endif
%endif

%define unmangled_name dash_hash
%define unmangled_version 1.3.1
%define commit 70c8bd4517c5b38f52bf4073b10350b897f8ca5e

Summary: Binding for Dash X11 proof of work hashing
Name: python-%{unmangled_name}
Version: %{unmangled_version}
Release: 4%{?dist}.1
Source0: https://github.com/dashpay/%{unmangled_name}/archive/%{commit}/%{unmangled_name}-%{commit}.tar.gz
License: MIT
Group: Development/Libraries
Url: https://github.com/dashpay/dash_hash
Prefix: %{_prefix}
BuildRequires: python2-devel
BuildRequires: python-setuptools
%if %{with python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif

%description
Python module for Dash's X11 hashing.

%package -n python2-%{unmangled_name}
Summary: Binding for Dash X11 proof of work hashing.
Group: Development/Libraries
%{?python_provide:%python_provide python2-%{unmangled_name}}

%description -n python2-%{unmangled_name}
Python module for Dash's X11 hashing.

This package contains the python2 version of this module.

%if %{with python3}
%package -n python%{python3_pkgversion}-%{unmangled_name}
Summary: Binding for Dash X11 proof of work hashing.
Group: Development/Libraries
%{?python_provide:%python_provide python%{python3_pkgversion}-%{unmangled_name}}

%description -n python%{python3_pkgversion}-%{unmangled_name}
Python module for Dash's X11 hashing.

This package contains the python3 version of this module.

%endif

%prep
%setup -n %{unmangled_name}-%{commit}

%build
%py2_build
%if %{with python3}
%py3_build
%endif

%install
%if %{with python3}
%py3_install
%endif
%py2_install

%files -n python2-%{unmangled_name}
%defattr(-,root,root)
%license LICENSE
%doc README.md
%{python2_sitearch}/%{unmangled_name}*.so
%{python2_sitearch}/%{unmangled_name}-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python%{python3_pkgversion}-%{unmangled_name}
%defattr(-,root,root)
%license LICENSE
%doc README.md
%{python3_sitearch}/%{unmangled_name}*.so
%{python3_sitearch}/%{unmangled_name}-%{version}-py?.?.egg-info
%endif
%changelog
* Thu Apr  4 2019 Oleg Girko <ol@infoserver.lv> - 1.3.1-4
- Use proper macro for Python 3 version instead of hardcoding it
* Tue Oct 16 2018 Oleg Girko <ol@infoserver.lv> - 1.3.1-3
- Enable Python3 build for CentOS 7
* Mon Apr 17 2017 Oleg Girko <ol@infoserver.lv> - 1.3.1-2
- Define Python build macros if not defined
* Tue Mar 28 2017 Oleg Girko <ol@infoserver.lv> - 1.3.1-1
- Initial package
